# Uses of Class
javax.imageio.plugins.tiff.TIFFField

Packages that use TIFFField
Package
Description
javax.imageio.plugins.tiff
Public classes used by the built-in TIFF plug-ins.

## Uses of TIFFField in javax.imageio.plugins.tiff

Methods in javax.imageio.plugins.tiff that return TIFFField
Modifier and Type
Method
Description
`TIFFField`
TIFFField.`clone()`
Clones the field and all the information contained therein.
`static TIFFField`
TIFFField.`createFromMetadataNode​(TIFFTagSet tagSet, Node node)`
Creates a `TIFFField` from a TIFF native image metadata node.
`TIFFField`
TIFFDirectory.`getTIFFField​(int tagNumber)`
Retrieves a TIFF field from the directory.
`TIFFField[]`
TIFFDirectory.`getTIFFFields()`
Retrieves all TIFF fields from the directory.
Methods in javax.imageio.plugins.tiff with parameters of type TIFFField
Modifier and Type
Method
Description
`void`
TIFFDirectory.`addTIFFField​(TIFFField f)`
Adds a TIFF field to the directory.